#ifndef MACPATHS_H
#define MACPATHS_H

#include "applicationpaths.h"
#include "application.h"
#ifdef HAVE_QT5
#include <QtWidgets>
#else
#include <QtGui>
#endif

class MacPaths: public ApplicationPaths
{
public:
    MacPaths() {
        QDir dir(App->applicationDirPath());
        dir.cdUp();
        bundlePath=dir.canonicalPath();
        sharedPath = bundlePath +"/Resources";
    }
    inline const QString translationsPath() {
        return sharedPath;
    }

    inline const QString schemesPath() {
        return sharedPath+"/schemes";
    }

    inline const QString userSchemesPath() {
        return sharedPath+"/schemes";
    }

    inline const QString completionsPath() {
        return sharedPath+"/completions";
    }
    inline const QString userCompletionsPath() {
        return sharedPath+"/completions";
    }
    inline const QString documentationPath() {
        return sharedPath+"/html/en/index.htm";
    }
    const QString utilitiesPath() {
        return sharedPath;
    }
    const QString pluginsPath() {
        return bundlePath+"/PlugIns";
    }

private:
    QString sharedPath;
    QString bundlePath;
};

#endif // MACPATHS_H
